Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028967
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-02-17 16:352015-02-23 05:11
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision0e1fb1538387
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-11-28
Regression introduced in release3.0PR15Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/7c00db2d6532 [^]
Triggers an Emergency PackNo
Summary

0028967: Business Partner dimension is not taken into account in G/L Journal lines

DescriptionBusiness Partner dimension is not taken into account in G/L Journal lines
Steps To ReproduceAs group admin role:
   Go to Client window and set the Business Partner dimension to be shown in Lines
   Remove the entry related with the G/L Journal document category from the Dimensions tab
   Go to G/L Journal and create a record
   Create a Header
   Create two lines and assign different Business Partner to them
   Complete it and Post it
   Go to Accounting Transaction Details window and check the Business Partner field does not have the correct values
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0074572)
AtulOpenbravo (developer)
2015-02-17 19:40

Test Plan
- Login as F&B International Group Admin
- Go to G/L Journal and create a record.
- Create a Header and save it.
- Create two lines and assign different Business Partner to them.
- Complete it and Post it
- Go to Accounting Transaction Details window and check the Business Partner field shows correct values.
(0074585)
hgbot (developer)
2015-02-18 11:21

Repository: erp/devel/pi
Changeset: 0e1fb15383875c9bba80eec94a8ed2bb0962b3fc
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Feb 17 23:43:14 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0e1fb15383875c9bba80eec94a8ed2bb0962b3fc [^]

Fixes Issue 28967:Business Partner dimension is not taken into account in
G/L Journal lines

Wrongly written C_BPARTNERr_ID instead of C_BPARTNER_ID

---
M src/org/openbravo/erpCommon/ad_forms/DocLineGLJournal_data.xsql
---
(0074586)
Sandrahuguet (developer)
2015-02-18 11:21

Code review + testing OK
(0074780)
hudsonbot (developer)
2015-02-23 05:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6856352d7235 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-02-17 16:35 ngarcia New Issue
2015-02-17 16:35 ngarcia Assigned To => Sandrahuguet
2015-02-17 16:35 ngarcia Modules => Core
2015-02-17 16:36 ngarcia Regression level => Production - QA Approved
2015-02-17 16:36 ngarcia Regression introduced in release => 3.0PR15Q1
2015-02-17 16:36 ngarcia Triggers an Emergency Pack => No
2015-02-17 16:36 ngarcia Issue Monitored: networkb
2015-02-17 19:37 AtulOpenbravo Assigned To Sandrahuguet => AtulOpenbravo
2015-02-17 19:37 AtulOpenbravo Status new => scheduled
2015-02-17 19:37 AtulOpenbravo fix_in_branch => pi
2015-02-17 19:40 AtulOpenbravo Note Added: 0074572
2015-02-17 19:41 AtulOpenbravo Review Assigned To => Sandrahuguet
2015-02-17 19:41 AtulOpenbravo Regression date => 2014-11-28
2015-02-17 19:41 AtulOpenbravo Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/7c00db2d6532 [^]
2015-02-17 19:41 AtulOpenbravo fix_in_branch pi =>
2015-02-18 11:21 hgbot Checkin
2015-02-18 11:21 hgbot Note Added: 0074585
2015-02-18 11:21 hgbot Status scheduled => resolved
2015-02-18 11:21 hgbot Resolution open => fixed
2015-02-18 11:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0e1fb15383875c9bba80eec94a8ed2bb0962b3fc [^]
2015-02-18 11:21 Sandrahuguet Note Added: 0074586
2015-02-18 11:21 Sandrahuguet Status resolved => closed
2015-02-18 11:21 Sandrahuguet Fixed in Version => 3.0PR15Q2
2015-02-23 05:11 hudsonbot Checkin
2015-02-23 05:11 hudsonbot Note Added: 0074780


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker